Remote Administration Using Terminal Services


About this Tour

Basics

Security

The Server

The Client

Learn More


About this Tour

This tour provides a short introduction to Windows 2000-based Terminal Services remote administration.

You may navigate through this tour by using the buttons above or by clicking the links to the left.

This tour explains the following:

  • How Small Business Server uses Windows 2000-based Terminal Services remote administration
  • Relevant security issues
  • The impact of Terminal Services on your computer system
  • The platforms that you can use for remote administration

At the end of the tour, more information about Terminal Services remote administration is listed on the Learn More page, which may include links to Web resources, links to online help topics or other tours, references to the Small Business Server 2000 Planning and Installation guide, and additional reference material such as Knowledge Base articles and Microsoft Press publications.


Terminal Services Basics

Small Business Server 2000 includes the new Windows 2000-based Terminal Services Remote Administration mode. Terminal Services is an optional component in Windows 2000 Server that is installed by Small Business Server Setup.

Remote Administration mode lets you administer your Small Business Server computer from a variety of Windows-based client workstations over TCP/IP. When you start a Terminal Services session and log on to the remote Small Business Server computer, you receive the secure, emulated remote desktop on your local computer, making it appear that you are working at the remote server.


The Server

The Small Business Server 2000 implementation of Windows 2000 Terminal Services provides a powerful tool to remotely administer your Small Business Server computer. For more information about tasks that you can accomplish with remote administration, and about its role in the organization, click a link below:

  • Remote Administration Tasks
  • Performance Impact


Remote Administration Tasks

You can use Terminal Services in remote administration mode to do anything you can do on the server computer locally, such as:

  • Restarting the server
  • Using management consoles
  • Using Health Monitor to view server status
  • Defragmenting the hard disk


Performance Impact

The performance impact of using Terminal Services in remote administration mode varies depending on the number and type of tasks you do remotely. Running Terminal Services on the server uses negligible CPU resources. Performing remote tasks on the server uses CPU resources as though you were working on the server locally.


The Client

With Terminal Services running, you can administer your Small Business Server computer using a Windows-based client workstation or Web browser. The workstation does not require much processing power or physical memory because all management tools run on the server. This increases your total return on investment by prolonging the use of aging hardware. For additional information, click a link below:

  • Client Installation
  • List of Clients
  • Web Client


Client Installation

Small Business Server 2000 includes the Windows 2000 Server Terminal Services Client Creator, a utility that lets you create installation disks for client software. After you install the Terminal Services client software on a client computer, you can use the client computer to connect to a server running Terminal Services.


#

Client Operating Systems
  • You can use client computers running any of the following operating systems to administer your server through Terminal Services: Windows 2000 Professional, Windows Me, Windows NT Workstation 4.0, Windows 98, or Windows 95.


Web Client

The BackOffice Server Terminal Services Web Client lets you remotely administer a server running Small Business Server from a client workstation without installing Terminal Services Client software. All you need is an ActiveX-capable Web browser. BackOffice Server Setup configures a virtual root on Internet Information Services and drops an ASP page there. When you browse to it, an ActiveX control that allows you to use Terminal Services is installed on your workstation.


Security

The Small Business Server implementation of Windows 2000 Terminal Services provides a secure, controlled environment to remotely administer your Small Business Server computer. For more information, click a link below:

  • Management Consoles
  • Encryption Level
  • Changing Encryption Level


Management Consoles

You can lock down the view for power users. You can configure Terminal Services so that if someone logs on to remotely administer the computer running Small Business Server, he or she sees only the management console. If so configured, any attempt to close the console and thereby gain access to the entire server, terminates the connection.


Encryption Level

By default, all Terminal Services sessions connect by using medium encryption. This means that all data sent between the client and the server is protected by encryption based on the server’s standard 56-bit key strength.

If there is a possibility that remote administration will be initiated from outside a secure LAN, high encryption is available (North America only). This provides bidirectional security using a 128-bit cipher.


Changing Encryption Level

Changing the encryption level is performed within the Terminal Services Configuration utility, located in Administrative tools. In the Connections folder, select Microsoft RDP 5.0 and click Properties. Click the General tab. The encryption level can be changed from low to medium to high.


Learn More

You have now finished the Terminal Services Remote Administration tour. See below for additional information.

Web sites

Small Business Server

Terminal Services Features

Remote Administration

Terminal Services Licensing

Knowledge Base Search

Microsoft Technet

Microsoft Press

Planning Guide

Small Business Server Planning and Installation, Chapter 6, "Administration"

Online Planning Guide